| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
IInspector::_V< T > Class Template Reference
Inheritance diagram for IInspector::_V< T >:
[legend]
Collaboration diagram for IInspector::_V< T >:
[legend]

## Public Member Functions
| _V (const T &v)
virtual | ~_V ()=default
virtual long | size () const
virtual void | construct (void *b) const
Public Member Functions inherited from IInspector::IValue
virtual | ~IValue ()=default
virtual void | release ()
void * | ptr ()
const void * | ptr () const

## Private Attributes
T | m_O

## Additional Inherited Members
Protected Member Functions inherited from IInspector::IValue
| IValue ()=default
Protected Attributes inherited from IInspector::IValue
void * | m_P

## Detailed Description

### template<class T>
class IInspector::_V< T >

Definition at line 44 of file IInspector.h.

## Constructor & Destructor Documentation

template<class T >

IInspector::_V< T >::_V | ( | const T & | v | ) |
| inline

Definition at line 47 of file IInspector.h.

47 : m_O(v) { m_P = &m_O; }
IInspector::IValue::m_P
void * m_P
Definition: IInspector.h:26
IInspector::_V::m_O
T m_O
Definition: IInspector.h:45
template<class T >

virtual IInspector::_V< T >::~_V | ( |  | ) |
| virtual default

## Member Function Documentation

template<class T >

virtual void IInspector::_V< T >::construct | ( | void * | b | ) | const
| inline virtual

Implements IInspector::IValue.

Definition at line 50 of file IInspector.h.

50 { ::new(b) T(); }
template<class T >

virtual long IInspector::_V< T >::size | ( |  | ) | const
| inline virtual

Implements IInspector::IValue.

Definition at line 49 of file IInspector.h.

49 { return sizeof(T); }

## Member Data Documentation

template<class T >

T IInspector::_V< T >::m_O
| private

Definition at line 45 of file IInspector.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IInspector.h